import React from 'react'
import ResponsiveNav from "@/components/Navbar/ResponsiveNav";
import { fetchCourses, fetchSettings, fetchOrgan } from "@/utils";
import {OrganProps } from "@/types";
import Home from '@/components/Organ/Home';

async function getCourses() {
    const courses = await fetchCourses();
    return courses;
}

async function getOrgan() {
    const organ: OrganProps[] = await fetchOrgan();
    return organ;
}

async function getSettings() {
    const settings = await fetchSettings();
    return settings;
}

export const metadata = {
    title: "All In One",
    description: "**",
}

export default async function Page() {
    const courses = await getCourses();
    const settings = await getSettings();
    const organ = await getOrgan();
    //const course = await getCourse(params.slug);

    return (
        <div className='bg-[#F6E8E9]'>

            <ResponsiveNav courses={courses} settings={settings} />
            <Home settings={settings} organ={organ} />

        </div>
    )
}